FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 09-16-2012, 02:16 PM
Allan McRae
 
Default pactest: removal of packages with unmet dependencies

Provide a package for removing packages with unmet dependencies.
Currently pacman removes too many packages from the transaction
(FS#30649).

Signed-off-by: Allan McRae <allan@archlinux.org>
---
test/pacman/tests/sync140.py | 28 ++++++++++++++++++++++++++++
1 file changed, 28 insertions(+)
create mode 100644 test/pacman/tests/sync140.py

diff --git a/test/pacman/tests/sync140.py b/test/pacman/tests/sync140.py
new file mode 100644
index 0000000..d20da98
--- /dev/null
+++ b/test/pacman/tests/sync140.py
@@ -0,0 +1,28 @@
+self.description = "Sysupgrade with ignored package prevent other upgrade"
+
+lp1 = pmpkg("glibc", "1.0-1")
+lp2 = pmpkg("gcc-libs", "1.0-1")
+lp2.depends = ["glibc>=1.0-1"]
+lp3 = pmpkg("pcre", "1.0-1")
+lp3.depends = ["gcc-libs"]
+
+for p in lp1, lp2, lp3:
+ self.addpkg2db("local", p)
+
+sp1 = pmpkg("glibc", "1.0-2")
+sp2 = pmpkg("gcc-libs", "1.0-2")
+sp2.depends = ["glibc>=1.0-2"]
+sp3 = pmpkg("pcre", "1.0-2")
+sp3.depends = ["gcc-libs"]
+
+for p in sp1, sp2, sp3:
+ self.addpkg2db("sync", p)
+
+self.args = "-Su --ignore %s --ask=32" % sp1.name
+
+self.addrule("PACMAN_RETCODE=0")
+self.addrule("PKG_VERSION=glibc|1.0-1")
+self.addrule("PKG_VERSION=gcc-libs|1.0-1")
+self.addrule("PKG_VERSION=pcre|1.0-2")
+
+self.expectfailure = True
--
1.7.12
 

Thread Tools




All times are GMT. The time now is 01:20 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org